"use strict";
function _interopNamespace(e) {
  if (e && e.__esModule)
    return e;
  const n = Object.create(null, { [Symbol.toStringTag]: { value: "Module" } });
  if (e) {
    for (const k in e) {
      if (k !== "default") {
        const d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: () => e[k]
        });
      }
    }
  }
  n.default = e;
  return Object.freeze(n);
}
function highlight({
  init
} = {}) {
  let hljs;
  return {
    viewerEffect({ markdownBody }) {
      (async () => {
        const els = markdownBody.querySelectorAll("pre>code");
        if (els.length === 0)
          return;
        if (!hljs) {
          hljs = await Promise.resolve().then(() => /* @__PURE__ */ _interopNamespace(require("highlight.js"))).then((m) => m.default);
          if (init)
            await init(hljs);
        }
        els.forEach((el) => {
          hljs.highlightElement(el);
        });
      })();
    }
  };
}
module.exports = highlight;
